### Method

# GLib StaticRecMutex free

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rec_mutex_free (
      GStaticRecMutex* mutex
    )

#### Description [src]

Releases all resources allocated to a `GStaticRecMutex`.

You don’t have to call this functions for a `GStaticRecMutex` with an unbounded lifetime, i.e. objects declared ‘static’, but if you have a `GStaticRecMutex` as a member of a structure and the structure is freed, you should also free the `GStaticRecMutex`.

Deprecated since: 2.32

Use g_rec_mutex_clear().

This method is not directly available to language bindings.